<CsoundSynthesizer>; 																					Michele Del Prete --- Occupazione dello spazio (2017)
<CsOptions>
; Select audio/midi flags here according to platform
-odac     ;;;realtime audio out
;-iadc    ;;;uncomment -iadc if realtime audio input is needed too
; For Non-realtime ouput leave only the line below:
; -o oscil.wav -W ;;; for file output any platform
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 32
nchnls = 8
0dbfs  = 1

giCosine	ftgen	0, 0, 8193, 9, 1, 1, 90		; cosine
giDisttab	ftgen	0, 0, 32768, 7, 0, 32768, 1	; for kdistribution
giFile		ftgen	0, 0, 0, 1, "pr1.wav", 0, 0, 0	; soundfile for source waveform
giWin		ftgen	0, 0, 4096, 20, 9, 1		; grain envelope
giPan		ftgen	0, 0, 32768, -21, 1		; for panning (random values between 0 and 1)

	instr 1
	gah = 1.3

	kran random 2.2, 5.3
	a1	mpulse	0.15, kran
	kfq	linseg		p4*0.68, p3/3, p5*0.58,p3/3, 0.63*p5, p3/3, 0.57*p5; 
	
	
	
	aout	resonr	a1, kfq, p11*15 ; era 18
	aout1 tonex aout, 1450, 55; cambianto coeff in notte
	
	ga1 = aout1*3;																																							________________ga1
	
	ax	linseg	0, p3*(10/100), 0.47, p3*(75/100), 0.73, p3*(15/100), 0
	
	aff tonex aout1*1.5, 1081*p10, 27
	atrim linen 1, 0.15, p3, 0.15
	aff3 reverb aff*atrim, 5.9
	
	
	agg tonex aout*1.5, 921*p10, 27
	agg3 reverb agg*atrim, 5.9

	gaf = aff3
	
	am = 1.67
	
  	outch 1, aff3*ax*p9*gah*p12*am, 2, agg3*ax*p9*gah*p13*am, 3, aff3*ax*p9*gah*p14*am, 4, agg3*ax*p9*gah*p15*am, 5, aff3*ax*p9*gah*p16*am, 6, agg3*ax*p9*gah*p17*am, 7, aff3*ax*p9*gah*p18*am, 8, agg3*ax*p9*gah*p19*am

	endin
   
;----------------------------            -----------------------------       ---------------------------------        ------------------------------------      
;----------------------------            -----------------------------       ---------------------------------        ------------------------------------   
 
	instr 2 
	ad noise 0.45, p5
	;aw1 follow ad, ga1
	aw2 tonex ad*0.8, 613*p4, 25
	aw3 reverb aw2, 2.9
	af linen 0.8, 2.47, p3, 3.1;------ ----- --- ----_ gen vol instr 2*****************
	ap linen 0.8, 2.13, p3, 3.1
	;aw4 balance aw3, ga1


  	outch  1, aw3*p5*af*gah*p6, 2, aw3*p5*ap*gah*p7, 3,  aw3*p5*af*gah*p8, 4, aw3*p5*ap*gah*p9, 5, aw3*p5*af*gah*p10, 6, aw3*p5*ap*gah*p11, 7,  aw3*p5*af*gah*p12, 8, aw3*p5*ap*gah*p13
	endin
   
;----------------------------            -----------------------------       ---------------------------------        ------------------------------------      
;----------------------------            -----------------------------       ---------------------------------        ------------------------------------   

		instr 3
		
il = p3
/*score parameters*/
ispeed			= p4		; 1 = original speed 
igrainrate		= p5		; grain rate
igrainsize		= p6		; grain size in ms
icent			= p7		; transposition in cent
iposrand		= p8		; time position randomness (offset) of the pointer in ms
icentrand		= p9		; transposition randomness in cents
ipan			= p10		; panning narrow (0) to wide (1)
idist			= p11		; grain distribution (0=periodic, 1=scattered)

/*get length of source wave file, needed for both transposition and time pointer*/
ifilen			tableng	giFile
ifildur			= ifilen / sr

/*sync input (disabled)*/
async			= 0		

/*grain envelope*/
kenv2amt		= 1		; use only secondary envelope
ienv2tab 		= giWin		; grain (secondary) envelope
ienv_attack		= -1 		; default attack envelope (flat)
ienv_decay		= -1 		; default decay envelope (flat)
ksustain_amount		= 0.5		; no meaning in this case (use only secondary envelope, ienv2tab)
ka_d_ratio		= 0.5 		; no meaning in this case (use only secondary envelope, ienv2tab)

/*amplitude*/
kamp			= 0.393*0dbfs	; grain amplitude; VOLUME 264
igainmasks		= -1		; (default) no gain masking

/*transposition*/
kcentrand		rand icentrand	; random transposition
iorig			= 1 / ifildur	; original pitch
kwavfreq		= iorig * cent(icent + kcentrand)

/*other pitch related (disabled)*/
ksweepshape		= 0		; no frequency sweep
iwavfreqstarttab 	= -1		; default frequency sweep start
iwavfreqendtab		= -1		; default frequency sweep end
awavfm			= 0		; no FM input
ifmamptab		= -1		; default FM scaling (=1)
kfmenv			= -1		; default FM envelope (flat)

/*trainlet related (disabled)*/
icosine			= giCosine	; cosine ftable
kTrainCps		= igrainrate	; set trainlet cps equal to grain rate for single-cycle trainlet in each grain
knumpartials		= 1		; number of partials in trainlet
kchroma			= 1		; balance of partials in trainlet

/*panning, using channel masks*/
imid			= .5; center
ileftmost		= imid - ipan/2
irightmost		= imid + ipan/2
giPanthis		ftgen	0, 0, 32768, -24, giPan, ileftmost, irightmost	; rescales giPan according to ipan
			tableiw		0, 0, giPanthis				; change index 0 ...
			tableiw		32766, 1, giPanthis			; ... and 1 for ichannelmasks
ichannelmasks		= giPanthis		; ftable for panning

/*random gain masking (disabled)*/
krandommask		= 0	

/*source waveforms*/
kwaveform1		= giFile	; source waveform
kwaveform2		= giFile	; all 4 sources are the same
kwaveform3		= giFile
kwaveform4		= giFile
iwaveamptab		= -1		; (default) equal mix of source waveforms and no amplitude for trainlets

/*time pointer*/
afilposphas		phasor ispeed / ifildur
/*generate random deviation of the time pointer*/
iposrandsec		= iposrand / 1000	; ms -> sec
iposrand		= iposrandsec / ifildur	; phase values (0-1)
krndpos			linrand	 iposrand	; random offset in phase values
/*add random deviation to the time pointer*/
asamplepos1		= afilposphas + krndpos; resulting phase values (0-1)
asamplepos2		= asamplepos1
asamplepos3		= asamplepos1	
asamplepos4		= asamplepos1	

/*original key for each source waveform*/
kwavekey1		= 1
kwavekey2		= kwavekey1	
kwavekey3		= kwavekey1
kwavekey4		= kwavekey1

/* maximum number of grains per k-period*/
imax_grains		= 100		

aL, aR		partikkel igrainrate, idist, giDisttab, async, kenv2amt, ienv2tab, \
		ienv_attack, ienv_decay, ksustain_amount, ka_d_ratio, igrainsize, kamp, igainmasks, \
		kwavfreq, ksweepshape, iwavfreqstarttab, iwavfreqendtab, awavfm, \
		ifmamptab, kfmenv, icosine, kTrainCps, knumpartials, \
		kchroma, ichannelmasks, krandommask, kwaveform1, kwaveform2, kwaveform3, kwaveform4, \
		iwaveamptab, asamplepos1, asamplepos2, asamplepos3, asamplepos4, \
		kwavekey1, kwavekey2, kwavekey3, kwavekey4, imax_grains
		
	
		ab1 atonex aL, 1100*p12, 21
		ab2 atonex aR, 1127*p12, 21
		
		akk linseg 0, p3*(1/28), 0.6, p3*(19/28), 0.4, p3*(2/28), 0.8, p3*(1/28), 0.5, p3*(3/28), 0.7, p3*(1/28), 0.4, p3*(1/28), 0 
		
		acom1 betarand 30, 1, 0.5
		acog1 = (acom1/10)+0.1
		acom2 betarand 43, 1, 0.3
		acog2 = (acom2/10)+0.15
		
		
		areq linen p21*(2.5+acog1), 1.7, p3, 2.3;
		arex linen p21*(2.5+acog2), 1.7, p3, 2.3; ____________________________________________________________________________________________vol gen 
		
		
outch		1,ab1*akk*areq*gah*p13,2,ab2*akk*arex*gah*p14,3,ab1*akk*areq*gah*p15,	4, ab2*akk*arex*gah*p16, 5,ab1*akk*areq*gah*p17, 6,ab2*akk*arex*gah*p18, 7,ab1*akk*areq*gah*p19, 8, ab2*akk*arex*gah*p20

endin 
   
   
;----------------------------            -----------------------------       ---------------------------------        ------------------------------------   
   
;----------------------------            -----------------------------       ---------------------------------        ------------------------------------   

	 	 instr 4
	
asig  noise 0.036, p6
kdiaphora expseg 3, p3/4, 5, p3/4, 2, p3/4, 4, p3/4, 6

aw linen 0.75, 1, p3, 1.3
anorma = asig*aw
asigj  reson anorma*0.007, p4, kdiaphora ; debug
asig1 tonex asigj, 1450, 55;

;asigd1	balance asig1, anorma ; debug
;asigd2	balance asig1, anorma

		kval1 random 74, 121
		az1 	tonex asig1, kval1, 25
		az11	balance az1, asig1
	
		
		kval2 random 65, 107
		az2 	tonex asig1, kval2, 25
		az22 	balance az2, asig1
		
		
		kval3 random 84, 130
		az3 	tonex asig1, kval3, 25
		az33 	balance az3, asig1
	
		
		kval4	 random 60, 110
		az4 	tonex asig1, kval4, 25
		az44 	balance az4, asig1
		
		
		ak1 linseg 0.3, p3*(10/100), 0.3, p3*(70/100), 0.5, p3*(20/100), 0.3  
		ak2 linseg 0.2, p3*(15/100), 0.7, p3*(60/10), 0.4, p3*(25/10), 0.1  
		as linen 	0.85, 2.3, p3, 1.8; -------------------------------------------- vol gen instr4 p1
		
		
		;acom1 betarand 5, 1, 0.5
		;acog1 = (acom1/20)+0.1
		;acom2 betarand 10, 1, 0.3
		;acog2 = (acom2/20)+0.15

a41 = as*(az11)*p5*(ak1)
a42 = as*(az22)*p5*(ak2)
a43 = as*(az33)*p5*(ak1)
a44 = as*(az44)*p5*(ak2)

outch				 1, a41*gah*p7, 2, a42*gah*p8, 3, a43*gah*p9, 4, a44*gah*p10,  5, a41*gah*p11, 6, a42*gah*p12, 7, a43*gah*p13, 8, a44*gah*p14

endin

instr 5
il=p3

asig  noise 0.051, p6
kdiaphora expseg 3, p3/4, 5, p3/4, 2, p3/4, 4, p3/4, 6

aw linen 0.75, 1, p3, 1.3
anorma = asig*aw
asig1  reson anorma*0.007, p4, kdiaphora 

		kval1 random 74, 101
		az1 	tonex asig1, kval1, 25
		az11	balance az1, asig1
	
		
		kval2 random 85, 119
		az2 	tonex asig1, kval2, 25
		az22 	balance az2, asig1
		
		
		kval3 random 63, 120
		az3 	tonex asig1, kval3, 25
		az33 	balance az3, asig1
	
		
		kval4	 random 60, 110
		az4 	tonex asig1, kval4, 25
		az44 	balance az4, asig1
		
		
		ak1 linseg 0.3, p3*(10/100), 0.3, p3*(70/100), 0.5, p3*(20/100), 0.3  
		ak2 linseg 0.2, p3*(15/100), 0.7, p3*(60/10), 0.4, p3*(25/10), 0.1  
		as linen 	0.8, 2.3, p3, 1.8; -------------------------------------------- vol gen instr4 p1
		

a41 = as*(az11)*p5*ak1
a42 = as*(az22)*p5*ak2
a43 = as*(az33)*p5*ak1
a44 = as*(az44)*p5*ak2 


aPan     lfo       0.5, 1, 1      ; lfo/panning
		aPan     =         aPan + 0.5 
		aPanL   =  sin((aPan + 0.5) * $M_PI_2)
		aPanR   =  cos((aPan + 0.5) * $M_PI_2)
		


		kww expseg 0.3, il*(15/100), 0.7, il*(20/100), 0.4, il/5*(30/100), 1.2, il/5*(15/100), 0.7, il*(20/100), 0.25
		aPan lfo 0.5, kww, 1; panning controlled by an lfo
		;aPan = aPan + 0.3; offset shifted +0.5	
		aPanL   =  sin((aPan + 0.5) * $M_PI_2)
		aPanR   =  cos((aPan + 0.5) * $M_PI_2)
		aq1 = a41*0.9
		aq2 = a42*0.9
		aq3 = a41*aPanL*0.9
		aq4 = a42*aPanR*0.9


outch				 1, aq1*gah*aPanL, 2, aq2*gah*aPanL, 3, aq4*gah*aPanL, 4, aq1*gah*aPanR, 5, aq3*gah*aPanL, 6, aq4*gah*aPanR, 7, aq2*gah*aPanR, 8, aq3*gah*aPanR		

;;; // 14-27-85-36
endin
</CsInstruments>
<CsScore>

;				3	 4-----5		6-------7		8------ 9vol------11bdw  12           19
;i1 1 		15		430	436	1			1		0.67		0.5	0.9	0.9 	0 1 0 0 

i1 1 		15		815 	825	1			1		0.58		0.3	0.5	0.9	0 0 1 1 0 0 1 1 
i1 1 		15		709	723	1			1		0.57		0.5	0.4	0.6 	0 0 1 1 0 0 1 1 
i1 7 		15		630	636	1			1		0.67		0.5	0.8	0.7	0 0 1 1 0 0 1 1 
i1 8 		15		515 	565	1			1		0.58		0.7	0.2	0.9	0 0 1 1 0 0 1 1 
i1 12		15		719	723	1			1		0.57		0.3	0.7	0.6 	0 0 1 1 0 0 1 1 
i1 4 		15		915 	1065	1			1		0.58		0.7	0.6	0.9	0 0 1 1 0 0 1 1 
i1 2 		15		1019	1023	1			1		0.57		0.3	0.8	0.6 	0 0 1 1 0 0 1 1 
;----
i1 12 	12		1219	1423	1			1		0.57		0.6	0.8	0.6 	0 0 1 1 0 0 1 1 
i1 14 	15		630	636	1			1		0.67		0.4	0.7	0.7	0 0 1 1 0 0 1 1 
i1 16 	13		515 	565	1			1		0.58		0.7	0.6	0.9	0 0 1 1 0 0 1 1 
i1 17 	15		719	723	1			1		0.57		0.6	0.3	0.6 	0 0 1 1 0 0 1 1 
i1 20	 	12		915 	1065	1			1		0.58		0.3	0.3	0.9	0 0 1 1 0 0 1 1 
i1 21 	15		1019	1023	1			1		0.57		0.4	0.4	0.6 	0 0 1 1 0 0 1 1 

i1 18 	15		1630	1636	1			1		0.67		0.6	0.8	0.7	0 0 1 1 0 0 1 1  
i1 14 	13		1515 	1565	1			1		0.58		0.7	0.7	0.9	0 0 1 1 0 0 1 1 
i1 15 	15		1719	1723	1			1		0.57		0.8	0.4	0.6 	0 0 1 1 0 0 1 1 
i1 16 	12		1115 	1065	1			1		0.58		0.7	0.6	0.9	0 0 1 1 0 0 1 1 
i1 18 	12		1019	1023	1			1		0.57		0.8	0.4	0.6 	0 0 1 1 0 0 1 1  


i1 21 	18		819	423	1			1		0.57		0.6	0.4	0.6 	0 0 1 1 0 0 1 1 
i1 23 	15		1630	1236	1			1		0.67		0.8	0.8	0.7	0 0 1 1 0 0 1 1 
i1 24 	13		1515 	1565	1			1		0.58		0.7	1		0.9	0 0 1 1 0 0 1 1 
i1 25 	15		1719	1723	1			1		0.57		0.6	0.5	0.6 	0 0 1 1 0 0 1 1 
i1 25 	12		1115 	1065	1			1		0.58		0.7	0.6	0.9	0 0 1 1 0 0 1 1 
i1 28 	12		1019	1023	1			1		0.57		0.8	0.8	0.6 	0 0 1 1 0 0 1 1  


i1 31 	12		819	823	1			1		0.57		0.6	0.4	0.6 	0 0 1 1 0 0 1 1 
i1 33 	15		1830	1236	1			1		0.67		0.5	1.0	0.7	0 0 1 1 0 0 1 1  
i1 34 	16		1515 	1565	1			1		0.58		0.6	1		0.9	0 0 1 1 0 0 1 1 
i1 35 	15		1319	1323	1			1		0.57		0.8	0.7	0.6 	0 0 1 1 0 0 1 1 

i1 36 	13		815 	865	1			1		0.48		0.6	1		0.9	0 0 1 1 0 0 1 1 
i1 37 	15		1019	1023	1			1		0.57		0.8	0.7	0.6 	0 0 1 1 0 0 1 1 

i1 38 	18		1319	1123	1			1		0.47		0.8	0.9	0.6 	0 0 1 1 0 0 1 1 
i1 45 	17		1115 	1065	1			1		0.58		0.7	0.4	0.9	0 0 1 1 0 0 1 1 

i1 41 	15		1919	1923	1			1		0.47		0.8	0.9	0.6 	0 0 1 1 0 0 1 1 
i1 43 	12		1915 	1965	1			1		0.58		0.7	0.4	0.9	0 0 1 1 0 0 1 1 

i1 48 	12		1319	1023	1			1		0.57		0.6	0.8	0.6 	0 0 1 1 0 0 1 1 
i1 32 	16		899	923	1			1		0.57		0.8	0.4	0.6 	0 0 1 1 0 0 1 1 
i1 53 	15		930	936	1			1		0.67		0.6	1.0	0.7	0 0 1 1 0 0 1 1 
i1 57 	13		615 	595	1			1		0.58		0.7	0.7	0.9	0 0 1 1 0 0 1 1 
i1 58 	12		419	423	1			1		0.57		0.5	0.8	0.6 	0 0 1 1 0 0 1 1 


i1 61 	16		1819	1793	1			1		0.37		0.37	0.4	0.6 	0 0 1 1 0 0 1 1 
i1 63 	15		1250	1306	1			1		0.47		0.4	1.0	0.5	0 0 1 1 0 0 1 1
 
i1 74 	13		1265 	1205	1			1		0.38		0.6	1		0.4	1 1 0 0 1 1 0 0; space change
i1 79 	15		1419	1323	1			1		0.47		0.8	1.0	0.6 	1 1 0 0 1 1 0 0
i1 81 	17		815 	865	1			1		0.48		0.7	1.0	0.9	1 1 0 0 1 1 0 0
i1 83 	12		1319	1323	1			1		0.29		0.6	0.8	0.3 	1 1 0 0 1 1 0 0
i1 85 	12		1099	1123	1			1		0.57		0.8	0.4	0.6 	1 1 0 0 1 1 0 0
i1 93 	18		1130	1236	1			1		0.37		0.9	1.0	0.3	1 1 0 0 1 1 0 0	
i1 94 	13		1115 	1065	1			1		0.48		0.7	1		0.3	1 1 0 0 1 1 0 0
i1 97 	12		1319	1023	1			1		0.37		0.8	0.8	0.4 	1 1 0 0 1 1 0 0

;			3		4-----5		6-------7		8------ 9vol-------11bdwt
i1 101 	12		819	923	1		1			0.57		0.6	0.4	0.9 	1 1 0 0 1 1 0 0
i1 103 	15		830	736	1		1			0.67		0.8	0.8	0.7	1 1 0 0 1 1 0 0	
i1 107	17		1215 	1165	1		1			0.58		0.6	1		0.9	1 1 0 0 1 1 0 0	
i1 111	15		919	1023	1		1			0.57		0.8	0.5	0.6 	1 1 0 0 1 1 0 0
i1 121 	16		1015 	1065	1		1			0.58		0.9	0.6	0.9	1 1 0 0 1 1 0 0
i1 129 	12		919	1023	1		1			0.57		0.9	0.8	0.6 	1 1 0 0 1 1 0 0;---- space change


i1 145 	12		899	1423	1		1			0.57		0.8	0.4	0.6 	0 0 1 1 0 0 1 1
i1 151	16 	182	159	1		1			0.57		0.21	0.4	0.6 	0 0 1 1 0 0 1 1;____________________0.8; gravissimo
i1 159 	15		163	193	1		1			0.67		0.23	0.8	0.7	0 0 1 1 0 0 1 1
i1 155 	18		1130	1236	1		1			0.67		0.8	1.0	0.3	0 0 1 1 0 0 1 1
i1 161 	13		915 	965	1		1			0.58		0.7	1		0.3	0 0 1 1 0 0 1 1
i1 163 	13		1015 	1105	1		1			0.58		0.6	1		0.9	0 0 1 1 0 0 1 1
i1 168 	19		1215 	1565	1		1			0.58		0.6	1		0.9	0 0 1 1 0 0 1 1


; buco 180/ 210 

;			3		4-----5		6-------7		8------ 9vol-------11bdwth
i1 210	10 	780	819	1			1		0.57		0.6	0.4	0.6 	1 1 0 1 0 0 1 0
i1 213 	15		1230	1136	1			1		0.67		0.4	1.0	0.7	1 1 0 1 0 0 1 0
i1 214 	13		815 	765	1			1		0.58		0.6	1		0.9	1 1 0 1 0 0 1 0
i1 216 	10		1200 	1265	1			1		0.58		0.6	1		0.9	1 1 0 1 0 0 1 0
i1 218 	9		1230	1136	1			1		0.67		0.3	1.0	0.7	1 1 0 1 0 0 1 0
i1 219 	13		975 	935	1			1		0.58		0.6	0.8	0.8	1 1 0 1 0 0 1 0
i1 220 	10		615 	765	1			1		0.58		0.6	0.7	0.9	1 1 0 1 0 0 1 0
i1 221 	7		815 	915	1			1		0.58		0.6	1		0.8	1 1 0 1 0 0 1 0
i1 223 	10		915 	939	1			1		0.58		0.3	1		0.9	1 1 0 1 0 0 1 0
i1 225 	13		1015 	1065	1			1		0.58		0.3	1		0.9	1 1 0 1 0 0 1 0
i1 230 	7		815 	785	1			1		0.58		0.6	1		0.7	1 1 0 1 0 0 1 0
i1 231 	13		935 	965	1			1		0.58		0.5	0.5	0.9	1 1 0 1 0 0 1 0
i1 233 	8		715 	765	1			1		0.58		0.6	1		0.5	1 1 0 1 0 0 1 0
i1 235 	13		750 	790	1			1		0.58		0.5	1		0.7	1 1 0 1 0 0 1 0
i1 242 	11		1015 	1065	1			1		0.58		0.6	1		0.9	1 1 0 1 0 0 1 0
i1 243 	9		915 	1165	1			1		0.58		0.5	0.3	0.5	1 1 0 1 0 0 1 0
i1 247 	14		1215 	1165	1			1		0.58 		0.6	1		0.9	1 1 0 1 0 0 1 0
i1 249 	9		815 	965	1			1		0.58		0.7	1		0.9	1 1 0 1 0 0 1 0
i1 251 	13		1215 	1165	1			1		0.58		0.4	0.4	0.9	1 1 0 1 0 0 1 0
i1 251 	9		715 	765	1			1		0.58		0.6	1		0.6	1 1 0 1 0 0 1 0
i1 251 	13		1015 	965	1			1		0.58		0.4	1		0.9	1 1 0 1 0 0 1 0
i1 251 	9		815 	865	1			1		0.58		0.6	0.6	0.9	1 1 0 1 0 0 1 0
i1 251 	13		1015 	965	1			1		0.58		0.4	1		0.6	1 1 0 1 0 0 1 0
i1 251 	9		815 	965	1			1		0.58		0.6	0.7	0.6	1 1 0 1 0 0 1 0
i1 253 	12		819	923	1			1		0.57		0.4	0.4	0.5 	1 1 0 1 0 0 1 0
i1 254 	10		934	636	1			1		0.67		0.6	0.8	0.6	1 1 0 1 0 0 1 0
i1 257 	14		819	823	1			1		0.57		0.6	0.4	0.9 	1 1 0 1 0 0 1 0
i1 258 	9		970	636	1			1		0.67		0.5	0.8	0.5	1 1 0 1 0 0 1 0
i1 259 	11		919	1023	1			1		0.57		0.6	0.4	0.9 	1 1 0 1 0 0 1 0
i1 256 	13		830	736	1			1		0.67		0.8	0.8	0.7	1 1 0 1 0 0 1 0
; -----------------------------------------------------------------------
; segue ora 290-310											vol 

i1 290 	12		819	813	1			1		0.57		0.6	0.4	0.6 	1 1 1 0 0 0 0 1; -------c SSS
i1 293 	15		830	736	1			1		0.47		0.5	1.0	0.7	1 1 1 0 0 0 0 1
i1 294	13		1015 	1165	1			1		0.58		0.6	1		0.9	1 1 1 0 0 0 0 1
i1 295 	15		1019	1323	1			1		0.57		0.8	0.7	0.6 	1 1 1 0 0 0 0 1

i1 296 	15		749	800	1			1		0.47		0.6	0.9	0.6 	1 1 1 0 0 0 0 1
i1 297 	12		815 	965	1			1		0.48		0.5	0.4	0.9	1 1 1 0 0 0 0 1
i1 300 	12		919	923	1			1		0.37		0.6	0.8	0.6 	1 1 1 0 0 0 0 1
i1 301 	10		830	836	1			1		0.37		0.3	0.8	0.7	1 1 1 0 0 0 0 1
i1 302 	11		325 	371	1			1		0.48		0.5	1		0.9	1 1 1 0 0 0 0 1

; 330 345__________________________________________________________________________________
i1 330 	14		1241	1203	1			1		0.47		0.6	0.3	0.6 	0 0 0 1 1 1 1 0; -------c SSS
i1 332 	10		1115 	1165	1			1		0.41		0.5	0.6	0.9	0 0 0 1 1 1 1 0
i1 331 	12		619	623	1			1		0.41		0.6	0.4	0.9 	0 0 0 1 1 1 1 0
i1 333 	11		530	536	1			1		0.43		0.7	0.8	0.7	0 0 0 1 1 1 1 0
;_________________________________________________________________________________________

; 359- 363
i1 359	11		415 	465	1		1			0.38		0.12	1		0.9	1 1 0 0 1 1 0 0; -------c SSS
;i1 360	11		319	303	1		1			0.37		0.34	0.5	0.6 	1 1 0 0 1 1 0 0
---------------------------------------       -----------------------------       -------------------------------------    ------------------------------------
;----------------------------------------       -----------------------------       -------------------------------------    --------------------------------
;-------- NOISE ALPHA	-----------6-------------13

i2 58		 	14 	0.9 		0.3 		0 0 1 1 0 0 1 1;  
i2 90			16		0.5		0.4 		0 0 1 1 0 0 1 1	
i2 123		20 	0.8		0.4 		0 0 1 1 0 0 1 1	; cSSS

i2 153		12 	0.6		0.3 		1 0 0 0 0 1 1 1; 
i2 165		15 	1.4		0.4 		1 0 0 0 0 1 1 1
i2 185		13		0.3		0.7 		1 0 0 0 0 1 1 1; cSSS

i2 250		11 	0.7		0.42 		0 1 1 1 1 0 0 0
i2 261 		12 	0.6		0.8  		0 1 1 1 1 0 0 0

i2 300		11		0.7 		0.45 		0 0 1 1 0 0 1 1
i2 313 		9 		0.6		0.5 		0 0 1 1 0 0 1 1	; 

i2 350		10		0.7 		0.45 		1 0 0 0 0 1 1 1
i2 362 		10	 	0.6		0.43 		1 0 0 0 0 1 1 1	; 

i2 0 			373 	0.1		0.2 		0 0 0 0 0 0 0 0; 6.13 durata  373
;----------------------------------------       -----------------------------       -------------------------------------    ------------------------------------
;----------------------------------------       -----------------------------       -------------------------------------    ------------------------------------
;-------- GRANULATION 		

																																								
						;speed			size															p12	13------------20		
i3	52		13.5		1.2		10		5			3100		800		100		1		1		0.9	0 1 0 0	0 1 0 0   	0.8
i3	62		15.5		0.32		20		8			3700		900		100		1		1		0.7	1 0 0 0	0 0 1 0		0.7
i3	71		18.8		0.33		13		8			5400		1000		100		1		1		0.75	0 0 1 0	0 1 0 0		0.7
i3	73		18.3		1.24		30		8			3550		800		170		1		1		0.81	0 0 0 1	0 0 0 1		0.7
i3	80		18.2		0.12		45		5			3100		900		520		1		1		0.7	1 0 0 0	1 0 1 0		0.6; 3
i3	82		19			0.23		60		5			3223		867		630		1		1		0.64	0 1 0 0	0 1 0 1		0.6; 3 
i3	84		13			0.48		20		9			3223		1000		630		1		1		0.71	1 0 0 1	0 0 0 0		0.5
		
i3	90		15.2		9.12		45		10			3100		1000		520		1		1		0.7 	0 0 1 0	0 0 1 0		0.3; 
i3	94		21			0.23		60		10			3223		1000		630		1		1		0.7	0 1 0 0 	0 1 0 0		0.3
																																							
						;speed			size															p12	13------------20	
i3	97		15.2		0.12		45		12			3500		1000		520		1		1		0.7	1 0 1 0	1 0 0 0		0.4
i3	99		21			0.23		60		10			5223		1000		630		1		1		0.72	0 1 0 0	0 1 1 0		0.3

i3	100	25			0.12		45		20			3500		1000		520		1		1		0.7  	0 1 0 0	0 0 1 0		0.2
i3	103	21			0.23		30		20			5223		1000		630		1		1		0.68	0 0 1 0 	1 0 1 0		0.5

i3	108	12.2		0.12		25		20			3100		1000		520		1		1		0.69	1 0 1 0	1 0 1 0		0.35
i3	109	7.2		0.12		25		20			3100		1000		720		1		1		0.69	0 1 0 1	0 1 0 0		0.6
i3	114	18			0.12		45		20			3100		1000		220		1		1		0.68	0 1 0 0	0 0 1 0		0.41
i3	115	15			0.23		30		18			3223		1000		630		1		1		0.63	0 0 1 0	1 0 0 0		0.81
i3	119	12			0.23		60		20			3223		1000		630		1		1		0.64	1 1 0 0	0 0 0 0		0.65

i3	123	12			0.23		10		20			3223		1000		630		1		1		0.610 0 0 0	 0	1 1 0 0	 0.65
; -------135__________________
																																					
						;speed			size															p12	13------------20	
i3	190	15			0.53		60		20			6823		1000		630		1		1		0.8	0 1 0 0	0 0 1 0		0.37
i3	193	15			0.53		60		19			6923		1000		430		1		1		0.7 	0 0 1 0 	1 0 0 1		0.31			; // 94

i3	196	13.5		0.5		10		15			6300		1000		200		1		1		1.2	1 0 0 1	0 0 1 0   	0.33
i3	205	15.5		0.52		20		18			6700		1000		230		1		1		1.1	0 1 0 0	1 0 1 0		0.33
i3	207	16.8		0.53		20		18			6800		1000		300		1		1		1.2	0 0 1 0	0 0 1 0		0.31
i3	201 	18.3		0.54		30		18			7550		1000		270		1		1		1.2	0 1 0 0	0 0 1 1		0.29
i3	206  	21			0.8		50		20			6223		1000		630		1		1		0.9 	1 0 0 1	0 0 1 0		0.23

i3	211 	18.3		0.14		30		18			9550		1000		270		1		1		0.8	0 1 0 1 	0 0 1 0		0.21
i3	216  	21			0.48		50		20			8623		1000		630		1		1		0.9 	0 0 1 0	1 0 0 1 	0.27;
i3	218  	21			0.58		50		20			7223		1000		630		1		1		1.2 	1 0 0 1	0 0 0 1		0.31;
i3	216  	21			0.68		50		20			6623		1000		630		1		1		1.2 	0 1 0 0	1 0 1 0		0.21;
i3	210  	15			0.78		50		20			8023		1000		630		1		1		1.3 	1 0 1 0	1 0 1 0	   0.27;
;-----------------------------------------------------
																																								
						;speed			size															p12	13------------20	
i3	266	13.5		0.1		10		15			5100		1000		200		1		1		1		1 0 1 0	1 0 1 0		0.39
i3	269	15.5		0.12		20		18			4700		1000		230		1		1		0.7	0 1 0 1	0 1 0 1 		0.31
i3	270	14.8		0.13		20		18			5400		1000		300		1		1		0.7	1 0 1 0 	1 0 1 0		0.41
i3	272	13.3		0.14		30		18			4550		1000		170		1		1		0.8	0 1 0 1 	0 1 0 1 		0.31
i3	273	11.2		0.2		45		20			4100		1000		520		1		1		0.7	1 0 1 0 	1 0 1 0	 	0.41
i3	274	16			0.3		60		20			4223		1000		630		1		1		0.71	0 1 0 1 	0 1 0 1		0.34
i3	276	13			0.8		50		20			4223		1000		430		1		1		0.7	1 0 1 0 	1 0 1 0		0.21
i3	284	15			0.3		60		20			4223		1000		630		1		1		0.72	0 1 0 1 	0 1 0 1		0.35
i3	293	10			0.8		50		20			4223		1000		490		1		1		0.73	1 0 1 0 	1 0 1 0		0.38
i3	295	10			0.3		60		20			4223		1000		510		1		1		0.74	0 1 0 1 	0 1 0 1		0.41
i3	279	10			0.8		50		20			4223		1000		310		1		1		0.74	1 0 1 0 	1 0 1 0		0.37														
						;speed			size															p12	13------------20	
i3	312	15			0.3		60		5			4223		1000		630		1		1		0.7	0 1 0 0 0 1 0 0 		0.58
i3	314	10			0.8		50		9			4223		1000		630		1		1		0.7	1 0 0 0 1 0 0 0		0.64
i3	320	15.5		0.1		10		15			5100		1000		200		1		1		1		0 0 0 1 0 0 0 1		0.68
i3	324	12.5		0.1		10		9			5100		1000		200		1		1		1		0 0 1 0 0 0 1 0		0.68
i3	330	10			0.12		20		12			4700		1000		230		1		1		0.7	1 1 0 1 0 1 0 0		0.43


i3	347	10			0.13		20		18			3400		1000		300		1		1		0.4	0 1 0 1 0 1 0 1		0.67
i3	350	8.3		0.14		30		18			3550		1000		270		1		1		0.4	1 1 1 1 1 1 1 1		0.64
i3	353	9.2		0.2		45		20			3100		1000		320		1		1		0.5	1 0 1 0 1 0 1 0		0.51

;i3	351	10		0.3		60		20			4223		1000	630		1		1		0.5	1 0 1 0 1 0 0 1	0.42

;----------------------------------------       -----------------------------       -------------------------------------    ------------------------------------
;----------------------------------------       -----------------------------       -------------------------------------    ------------------------------------
;-------- NOISE BETA
; 									 vol						7	---------- 14

i4 27			38		231		0.37		0.53  		1 1 0 0	1 1 0 0; NOVO

i4 60			37		231		0.45		0.27  		1 1 0 0	1 1 0 0
i4 60			37		211		0.65		0.31 	 		1 1 0 0	1 1 0 0	

i4 125		38		180		0.45		0.63			0 0 1 1 	0 0 1 1	
		
i4 173		32		211		0.47		0.7			0 1 1 1 	1 0 0 0
	
i4 221		39		190		0.45		0.61			0 0 1 0 	1 1 0 1; 8365
	
i4 280		25		220		0.45		0.53			0 0 0 1 	1 1 1 0	

i4 330		22		210		0.65		0.45			1 1 1 0 	0 0 0 1	

i4 364		7		190		0.65		0.27			1 0 0	0 	0 1 1 1	

;----------------------------------------       -----------------------------       -------------------------------------    ------------------------------------
;----------------------------------------       -----------------------------       -------------------------------------    ------------------------------------
;-------- quinta vox
i5 253 		19		171		0.42		0.53   1
 		



</CsScore>
</CsoundSynthesizer> 
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>593</x>
 <y>123</y>
 <width>320</width>
 <height>240</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
</bsbPanel>
<bsbPresets>
</bsbPresets>
